/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2001.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/**
 * A utility class to handle the event dispatch portions of the TreeModel
 * interface.
 */
public function AbstractTreeModel()
  extends javax.swing.tree.TreeModel()
{
  var vector = new java.util.Vector();
  
  /* Overloaded method from javax.swing.tree.TreeModel:
   */
  
  public function addTreeModelListener( l )
  {
    if( (l != null) && !vector.contains(l) )
      vector.addElement(l);
  }
  
  public function removeTreeModelListener( l )
  {
    if( l != null )
      vector.removeElement(l);
  }
  
  public function fireTreeNodesChanged( evt )
  {
    for( var e=vector.elements(); e.hasMoreElements(); )
      listeners.nextElement().treeNodesChanged(evt);
  }
  
  public function fireTreeNodesInserted( evt )
  {
    for( var e=vector.elements(); e.hasMoreElements(); )
      listeners.nextElement().treeNodesInserted(evt);
  }
  
  public function fireTreeNodesRemoved( evt )
  {
    for( var e=vector.elements(); e.hasMoreElements(); )
      listeners.nextElement().treeNodesRemoved(evt);
  }
  
  public function fireTreeStructureChanged( evt )
  {
    for( var e=vector.elements(); e.hasMoreElements(); )
      listeners.nextElement().treeStructureChanged(evt);
  }
}





/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */

