/******************************************************************************
 *        Copyright Texas Instruments 2002-2004. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * A utility to help iterate thru the circular list
 */
public const var bookmarkSet = new function() {
  
  public function iterator()
  {
    return new function() {
      
      private var visitedSet = new java.util.HashSet();
      private var current = currentBookmark;
      
      public function next()
      {
        if( ! hasNext() )
          throw new Exception("no next!");
        var result = current;
        current = current.next;
        visitedSet.add(result);
        return result;
      }
      
      public function hasNext()
      {
        return (current != null) && ! visitedSet.contains(current);
      }
      
    }();
  }
  
}();
