/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2001.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * A tree node that can have no children.
 */
public function LeafTreeNode( value )
{
  /**
   * Return the value of the node.
   *
   * @return value of the node
   */
  public function getValue()
  {
    return value;
  }

  /**
   * Return the number of child nodes.
   *
   * @return number of child nodes
   */
  public function getChildCount()
  {
    return 0;
  }

  /**
   * Get the specified child.
   *
   * @param idx          the index of the requested child
   * @return the child with the specified index
   */
  public function getChild( idx )
  {
    return null;
  }

  /**
   * Given a child, determine the child's index.  This is the inverse of the
   * <code>getChild</code> operation.
   *
   * @param child        the child
   * @return the child's index, or <code>-1</code> if the node isn't a child
   */
  public function getIndexOfChild( node )
  {
    return -1;
  }

  /**
   * Is this node a leaf?
   */
  public function isLeaf()
  {
    return true;
  }

  /**
   */
  public function castToString()
  {
    return value.castToString();
  }

}



/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */

