/*=============================================================================
 *     Copyright Texas Instruments 2000-2003.  All Rights Reserved.
 *   
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/*=============================================================================
 * File Description:
 *   This file is loaded by the interpreter at start-up, and is responsible
 *   for initializing the script evironment.  This includes defining any
 *   standard but not built-in functions, variables, classes, etc.
 */


const var java    = new JavaPackage("java");
const var javax   = new JavaPackage("javax");
const var oscript = new JavaPackage("oscript");
const var org     = new JavaPackage("org");
const var com     = new JavaPackage("com");
const var pkg     = new ScriptPackage(".");

// this seems to be required to work in IKVM on mono (and .net?)
pkg.system.declareJavaPackage("java.lang");

mixin java.lang;

// so you can cast to these types, for easier interop w/ strongly languages:
const var long   = new '{ public function bopCast(val) { return val.castToExactNumber(); } }();
const var double = new '{ public function bopCast(val) { return val.castToInexactNumber(); } }();
const var int    = new '{ public function bopCast(val) { return val.intValue(); } }();
const var float  = new '{ public function bopCast(val) { return val.floatValue(); } }();
const var short  = new '{ public function bopCast(val) { return val.shortValue(); } }();
const var char   = new '{ public function bopCast(val) { return val.charValue(); } }();
const var byte   = new '{ public function bopCast(val) { return val.byteValue(); } }();

const var WeakReference = oscript.data.WeakReference;

if( pkg.system.resolve("base-oscom.os").canRead() )
  import "base-oscom.os";

if( pkg.system.resolve("base-osxmlrpc.os").canRead() )
  import "base-osxmlrpc.os";

if( pkg.system.resolve("base-osregexp.os").canRead() )
  import "base-osregexp.os";




/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */
