/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2001-2002.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* This file contains bootstrap code for a headless Chimera. */

public var _declareInScope = pkg.system.export;  // for compatibility

private function evalHelper(str)
{
  return oscript.OscriptInterpreter.__eval(str + ";");
}
pkg.system.export( true, "evalHelper", evalHelper );

// export registry, etc. to global-scope... note that the way
// this is done is sort of "undocumented", so you shouldn't do this in script
// code you write unless you know what you are doing, and you are willing to
// fix your code if a future version of the interpreter changes how this works.
// In other words, There's nothing to see here folks, move along.
pkg.system.export( true,  "ti",            new JavaPackage("ti") );
pkg.system.export( true,  "main",          main );
pkg.system.export( true,  "registry",      main.getRegistry() );
pkg.system.export( true,  "mrj",           java.lang.System.getProperty("mrj.version") != null );

// make sure the system knows about some java packages that it might not
// otherwise know about:
pkg.system.declareJavaPackage("ti.chimera.pref");
pkg.system.declareJavaPackage("ti.chimera.plugin");
pkg.system.declareJavaPackage("ti.io");
pkg.system.declareJavaPackage("ti.pub");


// remap exit:
exit = main.exit;

{
  /**
   * An exception which can be thrown in cases that should not be hit, such
   * as unimplemented code or programming errors.
   *
   * @param msg              a string describing what went wrong
   */
  function ProgrammingErrorException(msg)
    extends Exception("programming error: " + msg)
  {
  }
  
  pkg.system.export( true, "ProgrammingErrorException", ProgrammingErrorException );
}

/**
 * Make accessing a service easier:
 */
pkg.system.export( true, "services", new (function() {

  public function elementAt(serviceName)
  {
    return registry.getService(serviceName);
  }

})() );

/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */
