/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2003.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


var splash = new (new JavaPackage("ti")).chimera.SplashScreen( main, oscript.OscriptInterpreter.getClassLoader().getResource("img/splash-ode.png"), 115, 375 );
splash.setVisible(true);


main.getRegistry().subscribeToCreation(
  "/Services/window manager",
  function(node) {
    
    function showAbout()
    {
      var ver = oscript.Version;
      pkg.util.showAboutScreen( 
        "ObjectDevel: ObjectScript Development Environment", 
        ver.getVersionName() + " (r" + ver.getVersionNumber() + ")", 
        "Copyright &copy; 1998-2003 Texas Instruments, Inc.", 
        null
      );      
    }
    
    if(!mrj)
    {
      pkg.util.addMenuBarItem( "Help", "About", '{ showAbout(); } );
    }
    else
    {
      mrjApplication.addApplicationListener(
        new (function() extends com.apple.eawt.ApplicationAdapter() {
          public function handleAbout(evt) {
            evt.setHandled(true);
            showAbout();
          }
        })()
      );
    }
    
    // this is a hack to make the "3rd Party Library(s)" menubar entry show up next after "About"
    pkg.util.addMenuBarItem( "Help", "3rd Party Library(s)", function(evt) { /* no-op */ } );
    
  } );

{
  var registry = main.getRegistry();
  
  // force the order of some of the entries in the menubar:
  registry.mkdir("/MenuBar/File");
  registry.mkdir("/MenuBar/Edit");
  registry.mkdir("/MenuBar/Plugins");
  registry.mkdir("/MenuBar/Debugger");
}

/* bootstrap-common.os pulls in bootstrap-ode.os... things are arranged 
 * this way for the benefit of other products which pull in the development
 * environment
 */
import "bootstrap-common.os";

splash.setVisible(false);
splash.dispose();
splash = null;

windowManager.setVisible(true);


/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */

