#!/usr/bin/env java -jar dest/oscript.jar
/*=============================================================================
 *     Copyright Rob Clark 2003.  All Rights Reserved.
 *   
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * This builds osug.html from osug.xml
 */

// add stuff to script-path:
pkg.system.addScriptPath("./chimera/rsrcs");
pkg.system.addScriptPath("./ode/rsrcs");


for( var file : pkg.fs.children("./docs") )
{
  if( file.getExtension() == "xml" )
  {
    writeln(file);
    var path = file.getPath();
    path = path.substring( 0, path.length() - ".xml".length() ) + ".html";
    try
      pkg.osbook.parseToFile( file, path );
    catch(org.xml.sax.SAXParseException e)
      writeln("error: " + e.getLineNumber() + ":" + e.getColumnNumber() + ":  " + e);
  }
}

