/*=============================================================================
 *     Copyright Texas Instruments 2002. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * Make document look like an array.
 */
public function DocumentArray(doc)
{
  var cache = false;
  
  /* A better way to do this would be to access the document by blocks,
   * caching the most recent block, and fetching a new block if the 
   * current block does not contain the requested range...
   */
  var len = doc.getLength();
  
  if(cache)
  var str = doc.getText( 0, len );
  
  public function length() { return len; }
  
  if(cache)
  public var elementAt = str.elementAt;
  
  if(cache)
  public var elementsAt = str.elementsAt;
  
//    public var length = doc.getLength;
  
  if(!cache)
  public function elementAt(idx)
  {
    return doc.getText( idx, 1 );
  }
  
  if(!cache)
  public function elementsAt( idx1, idx2 )
  {
    return doc.getText( idx1, idx2 - idx1 + 1 );
  }
  
//    // public function castToString() {}
  
}



/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */
