/******************************************************************************
 *     Copyright Texas Instruments 2005. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


{

var variant = "";
if( services["window manager"] == null )
  variant = "-nogui";

var progress = null;

function updateProgress(status)
{
  if( progress == null )
    progress = services["prompt"].showProgress(status);
  else
    progress.setMessage(status);
}


function loadPlugin( file, name )
{
  // XXX how to know when to use -nogui.os file instead?
  
  var bootstrap = pkg.fs.resolve("/jar/" + name + "/bootstrap-" + name + variant + ".os");
  var info      = pkg.fs.resolve("/jar/" + name + "/info-" + name + ".os");
  
  if( bootstrap.exists() && info.exists() )
  {
    var name        = name;
    var version     = "";
    var home        = "";
    var description = "";
    var license     = "";
    var copyright   = "";
    var authors = [];
    
    import info;
    
    updateProgress("Loading " + name + " v" + version);
    pkg.util.registerLibrary.callAsFunction(
      [name + " v" + version, file.getName(), home, description, license, copyright].concat(authors)
    );
    
    import bootstrap;
  }
}

function loadPlugins(path)
{
  for( var file : pkg.fs.children(path + "/Chimera Plugins") )
  {
    if( file.getExtension() == "jar" )
    {
      var name = file.getName();
      name = name.substring( 0, name.length() - 4 );
      
      if( ! pkg.fs.resolve("/jar/" + name).exists() )
      {
        pkg.system.mountJarFile(file);
        loadPlugin( file, name );
      }
    }
  }
}

loadPlugins( System.getProperty("user.dir.orig") );
loadPlugins( System.getProperty("user.dir") );

if( progress != null )
  progress.dispose();

}

