/******************************************************************************
 *     Copyright Texas Instruments 2004. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

mixin ti.chimera.registry;

private function importHelper(path)
{
  import path;
}


private var totalTime = 0;

/**
 * Register a "placeholder" plugin, which will enable deferred loading of
 * the actual plugin until the first time a service provided by the plugin
 * is accessed.
 * 
 * @param pathOrClass  the script file to import, a java class (in which
 *    case constructor is call with the arg <code>main</code>), or a
 *    constructor function (called with zero args)
 */
public function register(pathOrClass)
{
  main.log("loading " + pathOrClass);
  
  if( pkg.system.resolve(pathOrClass).exists() )
  {
    importHelper(pathOrClass);
  }
  else
  {
    var constructor = evalHelper(pathOrClass);
    var args = [];
    if( constructor instanceof JavaClass )
      args.push(main);
    registry.register( constructor.callAsConstructor(args) );
  }
}

