/******************************************************************************
 *     Copyright Texas Instruments, Inc., 2003.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * If there is not already a persistent value for the specified node path,
 * then create one with the specified value.
 * 
 * @param path     the registry path
 * @param val      the default value
 */
public function setDefaultPersistentValue( path, val )
{
  synchronized(registry)
  {
    var file = new pkg.File("/config/" + path + ".dat");
    if( ! file.exists() )
    {
      file.createNewFile();
      
      var oos = 
        new java.io.ObjectOutputStream( file.getOutputStream(false) );
      
      oos.writeObject(val);
      oos.flush();
      oos.close();
    }
  }
}


