/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2001-2002.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * The <code>ExtensionFileFilter</code> is a utility class for creating an
 * <code>javax.swing.filechooser.FileFilter</code> from a function
 *
 * Example: filter = new ExtensionFileFilter( "txt", "Text Files" );
 *
 * @param ext              extension of files to be filtered
 * @param desc             type of file
 */
public function ExtensionFileFilter( ext, desc )
  extends ti.chimera.FileChooser.AbstractFileFilter()
{
  public function accept(f)
  {
    var name = f.getName();
    return (name.length() > 0) && (name[0] != ".") && (f.getExtension() == ext);
  }
  public function getDescription()
  {
    return desc + " (*." + ext + ")";
  }
}


/*
 *   Local Variables:
 *   tab-width: 2
 *   indent-tabs-mode: nil
 *   mode: java
 *   c-indentation-style: java
 *   c-basic-offset: 2
 *   eval: (c-set-offset 'statement-cont '0)
 *   eval: (c-set-offset 'substatement-open '0)
 *   eval: (c-set-offset 'case-label '+)
 *   eval: (c-set-offset 'inclass '+)
 *   eval: (c-set-offset 'inline-open '0)
 *   End:
 */

