/*=============================================================================
 *     Copyright Texas Instruments, Inc., 2003.  All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * Get an accelerator keystroke.  If the <code>accel</code> string is
 * "C", then the accelerator keystroke would be "ctrl C" (on windows)
 * or "meta C" (on macosx).
 * 
 * @param accel        the accelerator key, a single character string (optional)
 */
public function getAcceleratorKeyStroke(accel)
{
  return swing.KeyStroke.getKeyStroke(   
    java.awt.event.KeyEvent.getMember("VK_" + accel.toUpperCase()),
    java.awt.Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()
  );
}