/******************************************************************************
 *     Copyright Texas Instruments 2004. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */




/**
 * Show an about screen.  The application name and version need to be
 * passed in, as they are specific to the specific application.
 * 
 * @param appName     the application name
 * @param appVersion  the version string
 * @param copyright   the copyright string
 * @param appIcon     the application's icon (in URL form), or <code>null</code>
 */
public function showAboutScreen( appName, appVersion, copyright, appIcon )
{
  var dialog = windowManager.getDialog("About");
  
  var txt = "<html><table><tr><td colspan=2><b>About:</b></td></tr><tr><td>&nbsp;&nbsp;</td><td>";
  
  if( appIcon != null )
    txt += "<table><tr><td><img src=\"" + appIcon + "\"></td><td>";
  
  txt += "<table><tr><td><b>" + appName + "</b></td></tr>";
  if( appVersion != null )
    txt += "<tr><td>Version: " + appVersion + "</td></tr>";
  txt += "<tr><td>" + copyright + "</td</tr></table>";
  
  if( appIcon != null )
    txt += "</td></tr></table>";
  
  txt += "</td></tr><tr><td colspan=2><b>Linked Libraries:</b></td></tr><tr><td></td><td><table>";
  
  for( var itr=pkg.util.registerLibrary.libList.iterator(); itr.hasNext(); )
  {
    var lib = itr.next();
    txt += "<tr><td><b>" + lib.getName() + "</b></td><td>" + lib.getCopyrightNotice() + "</td><td>(" + lib.getLicenseLink() + ")</td></tr>";
  }
  
  txt += "</table></td></tr></table></html>";
  
  var box = new swing.Box( swing.BoxLayout.Y_AXIS );
  box.add( new swing.JLabel(txt) );
  box.add( new swing.JButton( new pkg.util.ActionAdapter( "Library Details...", null, null, 
                                                          function(evt) { services["help"].displayHelp("3rd Party Library(s)"); } ) ) );
  box.add( new swing.JButton( new pkg.util.ActionAdapter( "Ok", null, null, 
                                                          function(evt) { dialog.setVisible(false); } ) ) );
  dialog.getContentPane().add(box);
  
  dialog.pack();
  dialog.center();
  
  dialog.setVisible(true);
}

