
function FirstPanel(dm)
  extends pkg.wizard.GenericWizardPanel( dm, "Generic", "Enter some user <i>info</i>, please", false, false  )
{
  
  addTextField( "user.name", "Name", null, true );
  addTextField( "user.email", "Email Address", null, false );
  addRadioButtons( "user.lang", "Language", [ "English", "Spanish", "French", "German" ], "French", true );
  addCheckBox( "user.happy", "Happy?", true, true );
  
}

function SecondPanel(dm)
  extends pkg.wizard.WizardPanel( dm, "Second Panel", services["fortune"].get(null), false )
{
  var panel = new swing.JPanel( new java.awt.GridLayout(-1,2) );
  
  var params = [ "Blah blah blah" ];
  
  for( var i=0; i<params.length(); i++ )
  {
    var param = params[i];
    panel.add( new swing.JLabel( param + ": " ) );
    var tf = new swing.JTextField(20);
    
    tf.getDocument().addDocumentListener(
      new function() extends swing.event.DocumentListener() {
        
        public function changedUpdate(evt)
        {
          dm.put( "Second." + param, tf.getText() );
        }
        
        public var removeUpdate = changedUpdate;
        public var insertUpdate = changedUpdate;
        
      }()
    );
    
    panel.add(tf);
  }
  
  add(panel);
  
  function isValid()
  {
    var val;
    for( var i=0; i<params.length(); i++ )
      if( ((val = dm.get( "Second." + params[i] )) == null) || (val == "") )
        return false;
    return true;
  }
}

function ThirdPanel(dm)
  extends pkg.wizard.WizardPanel( dm, "Third Panel", services["fortune"].get(null), true )
{
  var panel = new swing.JPanel( new java.awt.GridLayout(-1,2) );
  
  var params = [ "Foo", "Bar" ];
  
  for( var i=0; i<params.length(); i++ )
  {
    var param = params[i];
    panel.add( new swing.JLabel( param + ": " ) );
    var tf = new swing.JTextField(20);
    
    tf.getDocument().addDocumentListener(
      new function() extends swing.event.DocumentListener() {
        
        public function changedUpdate(evt)
        {
          dm.put( "Third." + param, tf.getText() );
        }
        
        public var removeUpdate = changedUpdate;
        public var insertUpdate = changedUpdate;
        
      }()
    );
    
    panel.add(tf);
  }
  
  add(panel);
  
  function isValid()
  {
    var val;
    for( var i=0; i<params.length(); i++ )
      if( ((val = dm.get( "Third." + params[i] )) == null) || (val == "") )
        return false;
    return true;
  }
}

var dialog = windowManager.getDialog("Test Wizard");
var wizard = new function() extends pkg.wizard.Wizard() {
  
  //setImage("editor-wizard.gif");
  
  function doCancel()
  {
    writeln("cancel");
    close();
  }
  
  function doFinish()
  {
    function itr2str(itr)
    {
      var str = "";
      while( itr.hasNext() )
        str += itr.next() + " ";
      return str;
    }
    
    var dm = wizard.getDataManager();
    
    writeln("finish");
    writeln("dm=" + dm);
    
    writeln("dm.subkeys(null) => " + itr2str(dm.subkeys(null)));
    writeln("dm.subkeys(\"user\") => " + itr2str(dm.subkeys("user")));
    close();
  }
  
  function close()
  {
    dialog.setVisible(false);
    dialog.dispose();
  }
  
  setStateSequence( [
    function(dm) { return new FirstPanel(dm); },
    function(dm) { return new SecondPanel(dm); },
    function(dm) { return new ThirdPanel(dm); }
  ] );
}();

dialog.getContentPane().add(wizard);
dialog.pack();
dialog.center();
dialog.setVisible(true);
